<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern id="IRM-ID-00012" xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText"> [IRM-ID-00012][Error] More than 1 element
        ddms:metacardInfo/ddms:identifier exists with the attribute 
        @ddms:qualifier having a value of [IC-ID]. 
        
        Human Readable: Every metacard must have 1 and only 1 ID identified as an [IC-ID]. </sch:p>

    <sch:p id="codeDesc"> 
        This rule checks that for each qualifier attribute in path 
        ddms:metacardInfo/ddms:identifier/@ddms:qualifier, that its normalized value 
        with leading- and trailing-spaces removed is equal to 'IC-ID'. If there is exactly one attribute
        with the given qualifier attribute, the rule is satisfied.
    </sch:p>

    <sch:rule context="ddms:metacardInfo">
        <sch:assert 
            test="
                count(
                    for $qualifier in ddms:identifier/@ddms:qualifier return
                        if(normalize-space(string($qualifier)) = 'IC-ID')
                        then 1
                        else null
                ) = 1
            "
            flag="error"> 
            [IRM-ID-00012][Error] Every metacard must have 1 and only 1 ID identified as an [IC-ID].
        </sch:assert>
    </sch:rule>
</sch:pattern>
