<?xml version="1.0" encoding="UTF-8"?>
<?ICEA pattern?> 
 <!-- Notices - Distribution Notice: 
           This document has been approved for Public Release and is available for use without restriction.
       -->
<sch:pattern is-a="ValidateValueExistenceInList" id="IRM-ID-00052"
    xmlns:sch="http://purl.oclc.org/dsdl/schematron">
    <sch:p id="ruleText">
        [IRM-ID-00052][Error]
        If element ddms:organization has attribute @ddms:acronym specified,
        then the value must be in CVEnumIRMAgencyAcronym.xml.
        
        Human Readable: Agency acronyms must be in the CVEnumIRMAgencyAcronym CVE.
    </sch:p>
    
    <sch:p id="codeDesc">
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (IRM_XML.sch), which reads 
        values from a specific CVE file.
    </sch:p>
    
    <sch:param name="ruleText" value="'
        [IRM-ID-00052][Error]
        If element ddms:organization has attribute @ddms:acronym specified,
        then the value must be in CVEnumIRMAgencyAcronym.xml.
        
        Human Readable: Agency acronyms must be in the CVEnumIRMAgencyAcronym CVE.
        '"/>
    
    <sch:param name="codeDesc" value="'
        This rule uses an abstract pattern to consolidate logic. It checks that the
        value in parameter $searchTerm is contained in the parameter $list. The parameter
        $searchTerm is relative in scope to the parameter $context. The value for the parameter 
        $list is a variable defined in the main document (IRM_XML.sch), which reads 
        values from a specific CVE file.
        '"/>

    <sch:param name="context" value="ddms:organization[@ddms:acronym]"/>
    <sch:param name="searchTerm" value="@ddms:acronym"/>
    <sch:param name="list" value="$agencyAcronymList"/>
    <sch:param name="errMsg" value="'
        [IRM-ID-00052][Error]
        If element ddms:organization has attribute @ddms:acronym specified,
        then the value must be in CVEnumIRMAgencyAcronym.xml.
        
        Human Readable: Agency acronyms must be in the CVEnumIRMAgencyAcronym CVE.
        '"/>
</sch:pattern>